For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
            • GETList Quotes
            • POSTCreate Quote
            • GETList B2B Quote Custom Shipping Methods
            • POSTSend Quote Email
            • GETList Quote Extra Fields Configs
            • GETGet Quote Details
            • PUTUpdate Quote
            • DELDelete Quote
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • PUTSelect Shipping Rate for Quote
            • DELRemove Selected Shipping Rate from Quote
            • GETGet Available Shipping Rates for Quote
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementQuotes

List Quotes

GET
https://api-b2b.bigcommerce.com/api/v3/io/rfq
GET
/api/v3/io/rfq
$curl -G https://api-b2b.bigcommerce.com/api/v3/io/rfq \
> -H "X-Auth-Token: <apiKey>" \
> --data-urlencode "q=Marie Curie" \
> -d quoteNumber=QN000035 \
> --data-urlencode "company=Great Buys Incorporated" \
> --data-urlencode "salesRep=Isaac Newton" \
> -d status=4 \
> --data-urlencode "quoteTitle=Plates - Custom Etching" \
> --data-urlencode "createdBy=Marie Curie" \
> -d maxCreated=1741376113 \
> -d minCreated=1741376113 \
> -d maxModified=1741376113 \
> -d minModified=1741376113 \
> -d maxExpired=1741376113 \
> -d minExpired=1741376113 \
> -d "channelIds[]=1"
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "list": [
6 {
7 "quoteId": 123456,
8 "company": "Great Buys Incorporated",
9 "salesRep": "Isaac Newton",
10 "updatedAt": 1722619778,
11 "quoteNumber": "QN101234",
12 "status": 0,
13 "bcOrderId": "195",
14 "orderId": "112495",
15 "channelName": "b2B Store",
16 "createdAt": 1622619778,
17 "expiredAt": 1722619778,
18 "createdBy": "Marie Curie",
19 "subtotal": 1495,
20 "channelId": 1,
21 "quoteTitle": "Plates - Custom Etching",
22 "referenceNumber": "03302025-0001",
23 "currency": {
24 "token": "$",
25 "location": "left",
26 "currencyCode": "USD",
27 "decimalToken": ".",
28 "decimalPlaces": 2,
29 "thousandsToken": ",",
30 "currencyExchangeRate": 1.34
31 },
32 "extraFields": [
33 {
34 "fieldName": "I want a sales representative to call me at the provided phone number.",
35 "fieldValue": "Yes"
36 }
37 ]
38 }
39 ],
40 "pagination": {
41 "totalCount": 250,
42 "offset": 0,
43 "limit": 10
44 }
45 }
46}
Retrieves basic information for all sales quotes in your store. Use the parameters to narrow your results, such as filtering by a date range or quotes from a specific Company account. More detailed information, such as line items and shipping details, can be retrieved with the [Get Quote Details](#get-quote-details) endpoint.
Was this page helpful?
Previous

Quotes

Next

Create Quote

Built with

Retrieves basic information for all sales quotes in your store. Use the parameters to narrow your results, such as filtering by a date range or quotes from a specific Company account.

More detailed information, such as line items and shipping details, can be retrieved with the Get Quote Details endpoint.

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

offsetintegerOptionalDefaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

limitintegerOptionalDefaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

sortByenumOptionalDefaults to updatedAt

Sorts results by Company name (company), quote status (status), sales rep name (salesRep), creation date (createdAt), expiration date (expiredAt), or last updated date (updatedAt). It defaults to the last updated date if no parameter is provided.

orderByenumOptionalDefaults to desc
Establish a descending or ascending order of results. The order defaults to descending if the parameter is not included.
Allowed values:
qstringOptional
Enter quote information to return partial and exact matches. Accepted information fields include quote number, quote title, Company name, assigned sales rep, and Company user first and last name.
quoteNumberstringOptional
Enter a full or partial quote number to retrieve relevant quotes.
companystringOptional
Enter a full or partial Company name to retrieve relevant quotes.
salesRepstringOptional
The name of the sales rep assigned to the quote.
statusenumOptional

The backend status of the sales quote. Note that these are not the same as buyer-facing quote status. See Quote Statuses for more information.

quoteTitlestringOptional
The external title given to the quote.
createdBystringOptional
The name of the sales rep or buyer who created the quote.
maxCreatedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all quotes created before that time.
minCreatedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all quotes created after that time.
maxModifiedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all quotes modified before that time.
minModifiedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all quotes modified after that time.
maxExpiredintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all quotes that expired before that time.
minExpiredintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all quotes that expired after that time.
channelIds[]list of integersOptionalDefaults to 1

Enter one or more storefront channel IDs to retrieve quotes assigned to the storefront(s). Use 1 for your store’s default storefront channel. Separate channel IDs with a comma.

Response

OK

A 200 response has a body with information on all quotes based on the provided parameters. If there are no quotes that correspond to the provided parameter values, the endpoint still returns a 200 response, but the data array is empty.

codeanyDefaults to 200
messagestringDefaults to SUCCESS
dataobject

Errors

400
Bad Request Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Enter a Unix timestamp to retrieve all quotes created before that time.

Enter a Unix timestamp to retrieve all quotes created after that time.

Enter a Unix timestamp to retrieve all quotes modified before that time.

Enter a Unix timestamp to retrieve all quotes modified after that time.

Enter a Unix timestamp to retrieve all quotes that expired before that time.

Enter a Unix timestamp to retrieve all quotes that expired after that time.